from flask import Flask,request,render_template,jsonify,redirect, url_for, session
import json
import os
import requests
from wifi import Cell,Scheme
from wireless import Wireless
from flask_bootstrap import Bootstrap

app = Flask(__name__)
bootstrap = Bootstrap(app)
recent_dir = os.path.abspath(os.path.dirname(__file__))
wifi_list = []
wifi_name_list = []
def wifi_scan():
    wireless = Wireless()
    cells = Cell.all('wlan0')
    for cell in cells:
        wifi_list.append(cell)
        wifi_name_list.append(cell.ssid)



def is_encrypted(ssid):
    for i in wifi_list:
        if i.ssid==ssid:
            return i.encrypted
    return None

def connect_wifi(ssid, password):
    ret = wireless.connect(ssid,password)
    if ret == False:
        print("Error : Cannot Connect to Wifi {}".format(ssid))
    else:
        print("Success")


@app.route('/')
def main():
    return render_template('demo.html')

@app.route('/initial')
def initial():
    return 'HTTP OK'


@app.route('/wifi_configure')
def wifi_configure():
    wifi_scan()
    return render_template('wifi.html', data=wifi_name_list)

@app.route('/wifi_pass')
def wifi_pass():

    return render_template('index.html')



if __name__ == '__main__':
    app.run(host='0.0.0.0',     port=8080, debug=True)
